<div class="container">
  <div class="row">
    <div class="col-sm-12">
      <h3 class="text-center">INSCRIPTION</h3>
    </div>
  </div>

  <div *ngIf="isLogged" class="row text-center">
    <button class="btn btn-lg" data-toggle="modal" data-target="#ajouterSession" (click)="clearSession()">Ajouter une formation <span class="glyphicon glyphicon-plus"></span></button>
  </div>

  <div *ngIf="availableSession.size > 0;else unavailable">
    <div *ngFor="let sessionsByYear of availableSession | keyvalue" class="row">
      <div class="col-xs-12"><p>{{sessionsByYear.key}}</p></div>
      <div *ngFor="let sessionsByYearAndMonth of sessionsByYear.value | keyvalue: keyOrder" class="list-group col-xs-12">
        <a [href]="'#' + sessionsByYear.key + '-' + sessionsByYearAndMonth.key" class="list-group-item list-group-item-action" data-toggle="collapse">
          <div class="row">
            <div class="col-md-11 col-sm-11 col-xs-9">
              <p>{{sessionsByYearAndMonth.key}}</p>
            </div>
            <div class="col-md-1 col-sm-1 col-xs-2">
              <span class="glyphicon glyphicon-chevron-down"></span>
            </div>
          </div>
        </a>
        <div [id]="sessionsByYear.key + '-' + sessionsByYearAndMonth.key" class="collapse">
          <div class="row text-center sessionCard">
            <div *ngFor="let session of sessionsByYearAndMonth.value" class="col-sm-4">
              <div class="thumbnail">
                <img [src]="getImageUrl(session.formation.imageId)" [alt]="session.formation.nom" class="image-responsive" style="width: 400px; height: 300px;">
                <p><strong>{{session.formation.nom}}</strong>&nbsp;&nbsp;<span *ngIf="isLogged" id="deleteSession" class="glyphicon glyphicon-trash" title="supprimer" aria-hidden="true" (click)="deleteSession(session)"></span></p>
                <p>{{session.lieu}}</p>
                <button class="btn" data-toggle="modal" data-target="#inscription" (click)="selectSession(session)">S'inscrire</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <ng-template #unavailable>
    <p>Malheureusement, plus aucune session n'est disponible actuellement. Je vous invite à revenir ultérieurement ou contacter nos équipes.</p>
  </ng-template>
</div>

<!-- Ajouter Modal -->
<div id="ajouterSession" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" #closeCreationModal>&times;</button>
        <h4 class="modal-title">Session</h4>
      </div>
      <div class="modal-body">
        <form role="form" (ngSubmit)="postSession()" #addForm="ngForm">
          <div class="row">
            <div class="form-group col-md-12">
              <label for="newFormation">Formation</label>
              <select id="newFormation" name="newFormation" [(ngModel)]="session.formation.nom" #newFormation="ngModel"
                     [ngClass]="{ 'is-invalid': newFormation.invalid && (newFormation.dirty || newFormation.touched), 'is-valid': newFormation.valid && (newFormation.dirty || newFormation.touched) }"
                     required class="form-control">
                <option *ngFor="let formation of formations">{{formation.nom}}</option>
              </select>
              <div *ngIf="newFormation.invalid && (newFormation.dirty || newFormation.touched)" class="invalid-feedback">
                <div *ngIf="newFormation.errors?.['required']">Veuillez saisir une formation.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <label for="date">Date</label>
              <input id="date" name="date" [(ngModel)]="session.date" #date="ngModel"
                     [ngClass]="{ 'is-invalid': date.invalid && (date.dirty || date.touched), 'is-valid': date.valid && (date.dirty || date.touched) }"
                     required type="date" class="form-control">
              <div *ngIf="date.invalid && (date.dirty || date.touched)" class="invalid-feedback">
                <div *ngIf="date.errors?.['required']">Veuillez saisir une date.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <div class="input-group">
                <label for="lieu">Lieu</label>
                <input id="lieu" name="lieu" [(ngModel)]="session.lieu" #lieu="ngModel"
                       [ngClass]="{ 'is-invalid': lieu.invalid && (lieu.dirty || lieu.touched), 'is-valid': lieu.valid && (lieu.dirty || lieu.touched) }"
                       required type="text" class="form-control">
                <div *ngIf="lieu.invalid && (lieu.dirty || lieu.touched)" class="invalid-feedback">
                  <div *ngIf="lieu.errors?.['required']">Veuillez saisir un lieu.</div>
                </div>
              </div>
            </div>
          </div>
          <button type="submit" class="btn btn-block" [disabled]="addForm.invalid">Confirmer
            <span class="glyphicon glyphicon-ok"></span>
          </button>
        </form>
      </div>
      <div class="modal-footer">
        <button class="btn btn-danger btn-default pull-left" data-dismiss="modal">
          <span class="glyphicon glyphicon-remove"></span> Annuler
        </button>
      </div>
    </div>
  </div>
</div>

<!-- Inscription Modal -->
<div class="modal fade" id="inscription" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" #closeRegistrationModal>×</button>
        <h4>S'inscrire</h4>
      </div>
      <div class="modal-body">
        <form role="form" (ngSubmit)="register()" #registrationForm="ngForm">
          <div class="row">
            <div class="form-group col-md-6">
              <label for="nom">Nom</label>
              <input id="nom" name="nom" [(ngModel)]="inscription.lastname" #nom="ngModel"
                     [ngClass]="{ 'is-invalid': nom.invalid && (nom.dirty || nom.touched), 'is-valid': nom.valid && (nom.dirty || nom.touched) }"
                     required pattern="^[a-zA-ZàáâäãåąčćęèéêëėįìíîïłńòóôöõøùúûüųūÿýżźñçšžÀÁÂÄÃÅĄĆČĖĘÈÉÊËÌÍÎÏĮŁŃÒÓÔÖÕØÙÚÛÜŲŪŸÝŻŹÑßÇŒÆŠŽ∂ð ,.'-]+$"
                     type="text" class="form-control" placeholder="Entrez nom">
              <div *ngIf="nom.invalid && (nom.dirty || nom.touched)" class="invalid-feedback">
                <div *ngIf="nom.errors?.['required']">Veuillez saisir un nom.</div>
                <div *ngIf="nom.errors?.['pattern']">Veuillez saisir un nom valide.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <label for="prenom">Prénom</label>
              <input id="prenom" name="prenom" [(ngModel)]="inscription.firstname" #prenom="ngModel"
                     [ngClass]="{ 'is-invalid': prenom.invalid && (prenom.dirty || prenom.touched), 'is-valid': prenom.valid && (prenom.dirty || prenom.touched) }"
                     required pattern="^[a-zA-ZàáâäãåąčćęèéêëėįìíîïłńòóôöõøùúûüųūÿýżźñçšžÀÁÂÄÃÅĄĆČĖĘÈÉÊËÌÍÎÏĮŁŃÒÓÔÖÕØÙÚÛÜŲŪŸÝŻŹÑßÇŒÆŠŽ∂ð ,.'-]+$"
                     type="text" class="form-control" placeholder="Entrez prénom">
              <div *ngIf="prenom.invalid && (prenom.dirty || prenom.touched)" class="invalid-feedback">
                <div *ngIf="prenom.errors?.['required']">Veuillez saisir un prénom.</div>
                <div *ngIf="prenom.errors?.['pattern']">Veuillez saisir un prénom valide.</div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="form-group col-md-6">
              <label for="email">Email</label>
              <input id="email" name="email" [(ngModel)]="inscription.email" #email="ngModel"
                     [ngClass]="{ 'is-invalid': email.invalid && (email.dirty || email.touched), 'is-valid': email.valid && (email.dirty || email.touched) }"
                     required pattern="^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,7}$"
                     type="email" class="form-control" placeholder="Entrez email">
              <div *ngIf="email.invalid && (email.dirty || email.touched)" class="invalid-feedback">
                <div *ngIf="email.errors?.['required']">Veuillez saisir une adresse email.</div>
                <div *ngIf="email.errors?.['pattern']">Veuillez saisir une adresse email valide.</div>
              </div>
            </div>
            <div class="form-group col-md-6">
              <label for="phone">Téléphone</label>
              <input id="phone" name="phone" [(ngModel)]="inscription.phoneNumber" #phoneNumber="ngModel"
                     [ngClass]="{ 'is-invalid': phoneNumber.invalid && (phoneNumber.dirty || phoneNumber.touched), 'is-valid': phoneNumber.valid && (phoneNumber.dirty || phoneNumber.touched) }"
                     required pattern="^(?:(?:\+|00)33|0)\d{9}$"
                     type="text" class="form-control" placeholder="Entrez numéro de tel">
              <div *ngIf="phoneNumber.invalid && (phoneNumber.dirty || phoneNumber.touched)" class="invalid-feedback">
                <div *ngIf="phoneNumber.errors?.['required']">Veuillez saisir un numéro de téléphone.</div>
                <div *ngIf="phoneNumber.errors?.['pattern']">Veuillez saisir un numéro de téléphone valide.</div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="form-group col-md-6">
              <label for="cpf">Montant CPF</label>
              <input id="cpf" name="cpf" [(ngModel)]="inscription.cpf"
                     type="number" class="form-control" placeholder="Entrez votre montant CPF">
            </div>
          </div>
          <button type="submit" class="btn btn-block" [disabled]="registrationForm.invalid">Confirmer
            <span class="glyphicon glyphicon-ok"></span>
          </button>
        </form>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-danger btn-default pull-left" data-dismiss="modal">
          <span class="glyphicon glyphicon-remove"></span> Annuler
        </button>
      </div>
    </div>
  </div>
</div>
